Bug 825761 - Richfaces showcase demo - default value of javax.faces.PROJECT_STAGE should be Production
Richfaces showcase demo - default value of javax.faces.PROJECT_STAGE should b...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
2.0.0.ER6
Unspecified Unspecified
medium Severity low
: ---
: 2.0.0.ER8
Assigned To: Brian Leathem
Pavol Pitonak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 08:11 EDT by Juraj Huska
Modified: 2014-09-30 19:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 03:32:51 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RF-11458 Minor Resolved Showcase: "The form component needs to have a UIForm in its ancestry" 2015-08-05 04:54:18 EDT

  None (edit)
Description Juraj Huska 2012-05-28 08:11:17 EDT
Description of problem:
When the value of javax.faces.PROJECT_STAGE is Development, there is occurring known bug of JSF mojarra.

Therefore, IMHO there should be default value of this property set to Production, to not to force customer to switch that one.

Version-Release number of selected component (if applicable):
RichFaces 4.2.2.Final-redhat-1
Comment 1 Brian Leathem 2012-05-28 09:49:59 EDT
What is the known bug that is occurring?
Comment 2 Juraj Huska 2012-05-28 10:05:31 EDT
It is described here:
https://issues.jboss.org/browse/RF-11458.

There is warning "The form component needs to have a UIForm in its ancestry" rendered on the browser, which causes broken functionality for example of input validation. So when there is correct input, the validation did not succeed, and the mentioned warning is rendered as error message.

Note You need to log in before you can comment on or make changes to this bug.